﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Terningkast
{
    public partial class MainPage : UserControl
    {
        byte[] kast = new byte[7];

        public MainPage()
        {
            InitializeComponent();
        }

        private void Nullstill()
        {
            byte i;
            for (i = 0; i <= 6; i++)
                kast[i] = 0;
            txbMelding.Text = "";
        }


        private void btnOK_Click(object sender, RoutedEventArgs e)
        {
            byte kastresultat;
            kastresultat = byte.Parse(txtKastresultat.Text);
            if (kastresultat >= 1 & kastresultat <= 6)
                kast[kastresultat]++;      // øker teller med en for det terningkastet brukeren skrev inn
            else
                MessageBox.Show("Du må oppgi et tall mellom 1 og 6", "Terningkast", MessageBoxButton.OK);
            txtKastresultat.Text = "";
            txtKastresultat.Focus();

        }

        private void btnVisResultat_Click(object sender, RoutedEventArgs e)
        {
            byte i;
            for (i = 1; i <= 6; i++)
                txbMelding.Text += "Antall " + i.ToString() + " ere var " + kast[i].ToString() + "\r\n";

        }

        private void btnNyTelling_Click(object sender, RoutedEventArgs e)
        {
            Nullstill();
        }

        private void txtKastresultat_KeyUp(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Enter)
                btnOK_Click(this, e);

        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            Nullstill();
        }
    }
}
