﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Videoavspilling
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			// Required to initialize variables
			InitializeComponent();
		}

		private void btnSpill_Click(object sender, System.Windows.RoutedEventArgs e)
		{
			Akvarium2_mp4.Play();
            storyVideo.Begin();
		}

		private void btnStopp_Click(object sender, System.Windows.RoutedEventArgs e)
		{
			Akvarium2_mp4.Stop();
		}

		private void btnPause_Click(object sender, System.Windows.RoutedEventArgs e)
		{
			Akvarium2_mp4.Pause();
		}
		
		void OppdaterSlider(object sender, EventArgs e)
        {
            VideoSlider.Value = Akvarium2_mp4.Position.Seconds;
            storyVideo.Begin();
        }

		private void Akvarium2_mp4_MediaOpened(object sender, System.Windows.RoutedEventArgs e)
		{
			VideoSlider.Maximum = Akvarium2_mp4.NaturalDuration.TimeSpan.TotalSeconds;
		}

		private void VideoSlider_MouseLeftButtonUp(object sender, System.Windows.Input.MouseButtonEventArgs e)
		{
			Akvarium2_mp4.Position = TimeSpan.FromSeconds(VideoSlider.Value);
		}
	}
}