﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Boblesortering
{
    public partial class MainPage : UserControl
    {
        int[] TallTab = new int[100];
        int Antall;

        public MainPage()
        {
            InitializeComponent();
        }

        private void btnOK_Click(object sender, RoutedEventArgs e)
        {
            TallTab[Antall] = (int.Parse(txtTall.Text));
            Antall += 1;
            txtTall.Text = "";
            txtTall.Focus();
        }

        private void btnSorter_Click(object sender, RoutedEventArgs e)
        {
            //Boblesortering
            int i, j;
            int vent;

            for (i = 0; i < Antall - 1; i++)
            {
                for (j = i + 1; j < Antall; j++)
                    if ((int)TallTab[i] > (int)TallTab[j])
                    {
                        vent = (int)TallTab[i];
                        TallTab[i] = TallTab[j];
                        TallTab[j] = vent;

                    }
            }
            //Utskrift til tekstboksen
            txtUtskrift.Text = "Innleste tall sortert \r\n";
            txtUtskrift.Text += "---------------------------- \r\n";
            for (i = 0; i <Antall; i++)
                txtUtskrift.Text += "  " + TallTab[i].ToString() + "\r\n";

        }

        private void btnStartNy_Click(object sender, RoutedEventArgs e)
        {
            //Klargjører for å kunne starte ny innlesningsrekke.
            for (int i = 0; i < Antall; i++)
                TallTab[i] = 0;
            Antall = 0;
            txtTall.Text = "";
            txtUtskrift.Text = "";
            txtTall.Focus();

        }
    }
}
